Opciones de PHP: PHP Loader: ionCube5

Opciones de PHP: PHP Loader: ionCube5


Última modificación: 16 de abril de 2020

Visión general

El cargador ionCube® le permite utilizar archivos PHP codificados en su sistema.

Compatibilidad

usted no poder utilice varias versiones de ionCube simultáneamente. ionCube 4 y 5 son no compatible con PHP 7.

Instalación

En la interfaz

Para instalar o desinstalar el ionCube 5 en EasyApache 4, utilice WHM EasyApache 4 interfaz (WHM >> Inicio >> Software >> EasyApache 4).

En la línea de comando

Para instalar ionCube 5, ejecute el siguiente comando en la línea de comandos, donde ea-php## representa la versión de PHP para la que desea instalar ionCube:

yum install ea-php##-php-ioncube5

Para desinstalar ionCube 5, ejecute el siguiente comando en la línea de comando donde ea-php## representa la versión de PHP para la que desea desinstalar ionCube:

yum remove ea-php##-php-ioncube5

ionCube 24®

ionCube 5 introdujo ionCube24®, que actúa como un servicio de protección contra intrusiones y monitoreo de sitios web para su sitio web.

  • Si habilita ionCube24, el cargador de ionCube busca cambios en los archivos o la creación de archivos después de un tiempo determinado (un Trustpoint).
  • ionCube inhabilita esta característica por defecto.

Cuando ejecuta el php -v comando, verá el siguiente resultado:

ioncube24 disabled: with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.1.1, Copyright (c) 2002-2016, by ionCube Ltd.

Para habilitar esta función, agregue la siguiente directiva a su php.ini expediente:

Cuando ejecuta el php -v comando, verá el siguiente resultado si no tengo instaló una clave de acceso:

PHP Fatal error:  IC24: ionCube24 is enabled but no access key is set. Please see the server setup instructions at ioncube24.com or set 'ic24.enable = 0' in the php.ini file to disable ionCube24 for now.

Para obtener más información, lea ionCube24’s documentación.

Leave a Reply